
image: busybox:latest

stages:
  - build
  - test
  - deploy



build1:
  stage: build
  #tags:
  #- all
  script:
    - echo "Do your build here"
    - mkdir -p build
    - echo one >> build/file1.txt
    - echo two >> build/exclude.txt
  artifacts:
    paths:      
      - build
    exclude:
      - build/exclude.txt
    expire_in: 30 days

test1:
  stage: test
  #tags:
  #- all
  script:
    - echo "Do a test here"
    - echo "For example run a test suite"
    - grep one build/file1.txt

test2:
  stage: test
  script:
    - echo "Do another parallel test here"
    - echo "For example run a lint test"
    #- grep two build/exclude.txt

deploy1:
  stage: deploy
  script:
    - echo "Do your deploy here"
  environment: production

pages:
  stage: deploy
  script:
    - mkdir -p public
    - cp build/file1.txt public/index.html
  artifacts:
    paths:
      - public
  only:
    - main
